Bug 587117 - [abrt] crash in firefox-3.6.3-4.fc13: Process /usr/lib64/firefox-3.6/firefox was killed by signal 6 (SIGABRT)
Summary: [abrt] crash in firefox-3.6.3-4.fc13: Process /usr/lib64/firefox-3.6/firefox ...
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: PackageKit
Version: 13
Hardware: x86_64
OS: Linux
low
medium
Target Milestone: ---
Assignee: Richard Hughes
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:5ad70ab781faa999be459f9ff1f...
Keywords: Triaged
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-04-28 23:22 UTC by Alex Lancaster
Modified: 2011-06-27 15:57 UTC (History)
7 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2011-06-27 15:57:02 UTC


Attachments (Terms of Use)
File: backtrace (79.45 KB, text/plain)
2010-04-28 23:22 UTC, Alex Lancaster
no flags Details
Debug of a new test of firefox (17.92 KB, text/plain)
2010-07-02 14:48 UTC, Hugo Melo
no flags Details

Description Alex Lancaster 2010-04-28 23:22:51 UTC
abrt 1.0.9 detected a crash.

architecture: x86_64
Attached file: backtrace
cmdline: /usr/lib64/firefox-3.6/firefox
comment: Page shows up, I see "Getting package descriptions" for two or 3 packages, then crash.
component: firefox
executable: /usr/lib64/firefox-3.6/firefox
global_uuid: 5ad70ab781faa999be459f9ff1f1a6916cd3f914
kernel: 2.6.33.2-57.fc13.x86_64
package: firefox-3.6.3-4.fc13
rating: 4
reason: Process /usr/lib64/firefox-3.6/firefox was killed by signal 6 (SIGABRT)
release: Fedora release 13 (Goddard)

How to reproduce
-----
1. Install PackageKit-browser-plugin
2. Visit http://www.packagekit.org/test/index.html
3. Get crash

Comment 1 Alex Lancaster 2010-04-28 23:22:53 UTC
Created attachment 409988 [details]
File: backtrace

Comment 2 Alex Lancaster 2010-04-28 23:27:17 UTC
It doesn't always crash firefox immediately, sometimes it shows up with the package descriptions but it will eventually crash (maybe after a minute or so).

Comment 3 Alex Lancaster 2010-04-28 23:28:10 UTC
Version of plugin:

PackageKit-browser-plugin-0.6.3-1.fc13.x86_64

Comment 4 Richard Hughes 2010-04-29 10:43:08 UTC
This even crashes webkit based browsers:

#0  0x00000000 in ?? ()
#1  0x034dc661 in WebCore::PluginView::start (this=0xb7388b40) at WebCore/plugins/PluginView.cpp:234
#2  0x034dcb19 in WebCore::PluginView::init (this=0xb7388b40) at WebCore/plugins/PluginView.cpp:192

I can't seem to get any further detail about the crash. I've even tried putting printf's in the code for all the entry points and these don't get called where the crash happens.

Comment 5 Steven M. Parrish 2010-06-05 01:19:21 UTC
This bug has been triaged



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Comment 6 Hugo Melo 2010-07-02 14:48:32 UTC
Created attachment 429069 [details]
Debug of a new test of firefox

hugo@Fedora ~$:uname -a 
Linux panini.ibm.com 2.6.33.5-112.fc13.x86_64 #1 SMP Thu May 27 02:28:31 UTC 2010 x86_64 x86_64 x86_64 GNU/Linux

hugo@Fedora ~$:rpm -qa \*firefox\* \*PackageKit\*
PackageKit-gtk-module-0.6.5-1.fc13.x86_64
PackageKit-gstreamer-plugin-0.6.5-1.fc13.x86_64
PackageKit-gtk-module-0.6.5-1.fc13.i686
PackageKit-yum-0.6.5-1.fc13.x86_64
firefox-3.6.3-4.fc13.x86_64
firefox-debuginfo-3.6.3-4.fc13.x86_64
c4eb-config-firefox-6.00-2.fc13.x86_64
PackageKit-device-rebind-0.6.5-1.fc13.x86_64
PackageKit-qt-0.6.5-1.fc13.x86_64
PackageKit-glib-0.6.5-1.fc13.x86_64
PackageKit-0.6.5-1.fc13.x86_64
PackageKit-debuginfo-0.6.5-1.fc13.x86_64
PackageKit-yum-plugin-0.6.5-1.fc13.x86_64
PackageKit-command-not-found-0.6.5-1.fc13.x86_64
PackageKit-browser-plugin-0.6.5-1.fc13.x86_64
PackageKit-glib-devel-0.6.5-1.fc13.x86_64

Comment 7 Bug Zapper 2011-06-02 14:44:31 UTC
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 8 Bug Zapper 2011-06-27 15:57:02 UTC
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.